Skip to main content
GET
/
statistics
Statistics
curl --request GET \
  --url https://api.adgreg.com/statistics \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.adgreg.com/statistics"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.adgreg.com/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "response": [
    {
      "impressions": 123,
      "clicks": 123,
      "revenue": 123,
      "user_website_id": 123,
      "stat_date": "2023-12-25",
      "api_spot_id": "<string>",
      "api_website_id": "<string>",
      "user_spot_type": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Returns normalized performance data for a given adnetwork and Adgreg website.
  • website_id — the Adgreg website ID from Get user sites, not an adnetwork site ID.
  • Date range — defaults to the beginning of the current month through yesterday. Maximum range is 30 days.
  • dimensions — controls how results are grouped. Omit it to receive a single row of fully accumulated totals. Pass a comma-separated list of any combination of date, spot, spot_type, site to break results down by those fields. Order does not matter.
    spot and site dimensions refer to the adnetwork’s own spot and site IDs — not your Adgreg-configured spots or websites.
dimensions=date,spot_type

Authorizations

X-API-Key
string
header
required

Query Parameters

ad_network
enum<string>
required
Available options:
exoclick,
trafficstars,
kadam,
clickadilla,
onclicka,
twinred,
trafficshop,
hilltop
website_id
integer
required
spot_type
string | null
date_from
string<date>

Default: Beginning of month. Format: YYYY-MM-DD. Max range: 30 days.

date_to
string<date>

Default: Yesterday. Format: YYYY-MM-DD.

dimensions
string | null

Available values: date, spot, spot_type, site. Example: date,spot_type

Response

Successful Response

response
AdgregStatSpot · object[]
required